//
//  ViewController.m
//  MPDataCenterDemo_pod
//
//  Created by kuoxuan on 2019/3/26.
//  Copyright © 2019 mPaaS. All rights reserved.
//

#import "ViewController.h"
#import "MPDataCenterTestCase.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.title = @"统一存储";
    self.view.backgroundColor = [UIColor whiteColor];
    
    UIButton *button = [UIButton buttonWithType:UIButtonTypeCustom];
    button.frame = CGRectMake(30, 150, [UIScreen mainScreen].bounds.size.width-60, 44);
    button.backgroundColor = [UIColor blueColor];
    [button setTitle:@"KV 存储" forState:UIControlStateNormal];
    [button addTarget:self action:@selector(kvStorage) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:button];
    
    UIButton *button1 = [UIButton buttonWithType:UIButtonTypeCustom];
    button1.frame = CGRectOffset(button.frame, 0, 80);
    button1.backgroundColor = [UIColor blueColor];
    [button1 setTitle:@"LRU 存储" forState:UIControlStateNormal];
    [button1 addTarget:self action:@selector(lruStorage) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:button1];
}

- (void)kvStorage
{
    [MPDataCenterTestCase runKVStorageTest];
}

- (void)lruStorage
{
    [MPDataCenterTestCase runLRUTest];
}


@end
